SplFileInfo::getMTime
SplFileInfo::getPath
SplFileInfo
PHP Manual

# SplFileInfo::getOwner

(PHP 5 >= 5.1.2)

SplFileInfo::getOwner — Gets the owner of the file

### Description

public int SplFileInfo::getOwner ( void )

Gets the file owner. The owner ID is returned in numerical format.

### Parameters

This function has no parameters.

### Return Values

The owner id in numerical format.

### Errors/Exceptions

Throws RuntimeException on error.

### Examples

Example #1 SplFileInfo::getOwner() example

`<?php
$info = new SplFileInfo('file.txt');
print_r(posix_getpwuid($info->getOwner()));
?>`

### See Also

- posix_getpwuid() - Return info about a user by user id
- SplFileInfo::getGroup() - Gets the file group

SplFileInfo::getMTime
SplFileInfo::getPath
SplFileInfo
PHP Manual